INTELTOOL(8)

NAME
inteltool - a tool for dumping Intel(R) CPU / chipset configuration parameters

SYNOPSIS
inteltool [-vh?gGrpmedPMaAsfS]

DESCRIPTION
inteltool is a handy little tool for dumping the configuration space of Intel(R) CPUs, northbridges and southbridges.

This tool has been developed for the coreboot project (see https://coreboot.org for details on coreboot).

OPTIONS

-h, --help
    Show a help text and exit.

-v, --version
    Show version information and exit.

-a, --all
    Dump all known information listed below.

-g, --gpio
    Dump I/O Controller Hub (ICH) southbridge GPIO registers.

-G, --gpio-diffs
    Show only GPIO register differences from hardware defaults.

-r, --rcba
    Dump I/O Controller Hub (ICH) southbridge RCBA registers.

-s, --spi
    Dump I/O Controller Hub (ICH) southbridge SPI registers and bios control.

-f, --gfx
    Dump graphics registers. Due to unknown reasons this might lock up some systems after a few seconds.

-p, --pmbase
    Dump I/O Controller Hub (ICH) southbridge PMBASE registers.

-m, --mchbar
    Dump Intel(R) northbridge MCHBAR registers.

-S file, --spd=file
    Dump the memory registers as above and store the current timing settings into file.

-e, --epbar
    Dump Intel(R) northbridge EPBAR registers.

-d, --dmibar
    Dump Intel(R) northbridge DMIBAR registers.

-P, --pciexbar
    Dump Intel(R) northbridge PCIEXBAR registers.

-M, --msrs
    Dump Intel(R) CPU MSRs.

-A, --ambs
    Dump Advanced Memory Buffer (AMB) registers.

BUGS
Please report any bugs on the coreboot mailing list (https://coreboot.org/Mailinglist).

LICENCE
inteltool is covered by the GNU General Public License (GPL), version 2.

COPYRIGHT
Copyright (C) 2008 coresystems GmbH

AUTHORS
Stefan Reinauer <stepan@coresystems.de>

This manual page was written by Stefan Reinauer <stepan@coresystems.de>. It is licensed under the terms of the GNU GPL (version 2).

Intel(R) is a registered trademark of Intel Corporation. Other product and/or company names mentioned herein may be trademarks or registered trademarks of their respective owners.